stages:
  - containerize

# TODO:
# Change from building all in docker image and build in ci script.
# Add image based on alpine for smaller resulting image.

containerize:
  stage: containerize
  image: registry.gitlab.com/jitesoft/dockerfiles/misc:latest
  script:
    - git clone https://github.com/posativ/isso.git
    - cd isso
    - docker buildx build --platform linux/amd64,linux/arm64 --progress plain -t jitesoft/isso:latest -t jitesoft/isso:master -t ${CI_REGISTRY_IMAGE}:latest -t ${CI_REGISTRY_IMAGE}:master --push .
  tags:
    - buildx
    - protected

# For later
    #- git fetch --all --tags
    #- TAG=$(git tag | sort -V | tail -n1)
    #- echo "Building tag ${TAG}"
    #- git checkout tags/${TAG} -b build-branch
